Bug 1011836 - win8 can not support S4 with "-vga cirrus -vnc $n" order (RHEL7.0)
win8 can not support S4 with "-vga cirrus -vnc $n" order (RHEL7.0)
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
7.0
x86_64 Linux
low Severity low
: rc
: ---
Assigned To: Ronen Hod
Virtualization Bugs
: Reopened
Depends On:
Blocks: Virt-S3/S4-7.0
  Show dependency treegraph
 
Reported: 2013-09-25 04:35 EDT by zhonglinzhang
Modified: 2014-12-14 19:53 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-27 06:10:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description zhonglinzhang 2013-09-25 04:35:47 EDT
Description of problem:
Boot win8 with "-vga cirrus -vnc :3" in qemu-kvm command line, then can not support s4 in guest. But use this order "-vnc :3 -vga cirrus" to boot guest, then s4 is successful.

Version-Release number of selected component (if applicable):
host kernel: 3.10.0-22.el7.x86_64
qemu-kvm: qemu-kvm-rhev-1.5.3-3.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Boot win8 guest with the following command line:
/usr/libexec/qemu-kvm -M pc -cpu SandyBridge -enable-kvm -m 4G -smp 4,sockets=1,cores=4,threads=1 -name test -rtc base=localtime,clock=host,driftfix=slew  -k en-us  -boot menu=on  -vga cirrus  -vnc :3   -usb -device usb-tablet -global PIIX4_PM.disable_s3=0 -global PIIX3_PM.disable_s4=0  -monitor stdio       -drive file=/home/win8-32.raw,if=none,id=drive-system-disk,media=disk,format=raw,aio=native,werror=stop,rerror=stop -device virtio-blk-pci,drive=drive-system-disk,id=system-disk,addr=0x9     -netdev tap,id=hostnet0,vhost=on,script=/etc/qemu-ifup -device virtio-net-pci,netdev=hostnet0,id=virtio-net-pci0,mac=00:22:15:27:54:8d,bus=pci.0,addr=0x8

2. In win8 guest:
powercfg -a

3.

Actual results:
With "-vga cirrus  -vnc :3" order, can not support s4

Expected results:
It should be support s4

Additional info:
With "-vnc :3 -vga cirrus" order:
It can support s4.
Comment 2 Ronen Hod 2013-12-26 07:10:43 EST
The only way to support Win8/2012 S3/S4 is with Vadim's new QXL drivers. The Cirrus drivers do not support it properly.
Please consult with Mike Cao
Comment 3 Mike Cao 2013-12-26 20:45:12 EST
(In reply to Ronen Hod from comment #2)
> The only way to support Win8/2012 S3/S4 is with Vadim's new QXL drivers. The
> Cirrus drivers do not support it properly.
> Please consult with Mike Cao

Ronen ,I think we always support s4 with VNC +QXL ,at least in RHEL6.x

zhonglinzhang ,Can you retest it with the latest qemu w/ -global PIIX4_PM.disable_s4=0 ?
Comment 4 zhonglinzhang 2013-12-27 05:36:39 EST
Retest this with 3.10.0-64.el7.x86_64 kernel and qemu-kvm-1.5.3-30.el7.x86_64
win2012R2 guest

With "-vga cirrus -vnc :3"  or "-vnc :3 -vga cirrus" can do s4 successfully.

-global PIIX4_PM.disable_s4=0... Maybe I made a mistake, always with PIIX3_PM.disable_s4=0
Comment 5 Mike Cao 2013-12-27 06:10:23 EST
Closing as notabug according to comment #4

Note You need to log in before you can comment on or make changes to this bug.